--[[
	cyCircled: Iron Cross by art3mis
	
	Skin authors may use this package a base for their own skin packs.
	Please see skins.lua in the cyCircled package for information on attributes.
]]

-- Initialize the add-on.
cyCircled_Cross = AceLibrary("AceAddon-2.0"):new()

-- Configuration table.
local skins = {
["Iron Cross"] = {
		["icon"] 	= { w=30, h=30, dl="BACKGROUND" },
		["overlay"] = { w=40, h=40, tex="Interface\\AddOns\\cyCircled_Cross\\textures\\CrossBase", bm="BLEND",},
		["equip"] 	= { w=46, h=46, tex="Interface\\AddOns\\cyCircled_Cross\\textures\\CrossActive", },
		["cooldown"]= { w=36, h=36, fl=0, s=.7, },
		["flash"]	= { w=30, h=30, tex="Interface\\AddOns\\cyCircled_Cross\\textures\\overlayred" },
		["hotkey"]	= { x=2, y=11, dl="OVERLAY", },
		["count"]	= { x=10, y=-8, dl="OVERLAY", },
		["bagicon"]	= { w=30, h=30, x=6, y=-6, },
		["autocast"]= { w=30, h=30, fl=0, s=.76, },
		["autocastable"]= { w=57, h=62, x=0.5, y=-0.5, },
		["NormalTexture"] 		= { w=1, h=1, x=4, y=-4, r="CENTER", rp="TOPLEFT", },

		["HighlightTexture"] 	= { w=40, h=40, tex="Interface\\AddOns\\cyCircled_Cross\\textures\\CrossActive", bm="BLEND", },
		["PushedTexture"] 		= { w=38, h=37, dl="ARTWORK", tex="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", bm="ADD", },
		["CheckedTexture"]		= { w=38, h=37, dl="OVERLAY", tex="Interface\\AddOns\\cyCircled_Cross\\textures\\CrossBase", bm="ADD", },
	},
}

-- Insert the skins into cyCircled
function cyCircled_Cross:OnEnable()
	for k, v in pairs(skins) do
		cyCircled.skins[k] = v
	end

	cyCircled:UpdateSkinList()

	-- Make sure that it loads the right skin.
	if cyCircled.skins[cyCircled.db.profile.current] then
		cyCircled.db.profile.skin = cyCircled.db.profile.current
	end
end